package com.inspect.taskftp.service.impl;

import com.inspect.taskftp.domain.PatrolTaskFtp;
import com.inspect.taskftp.mapper.PatrolTaskFtpMapper;
import com.inspect.taskftp.service.IPatrolTaskFtpService;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class PatrolTaskFtpServiceImpl implements IPatrolTaskFtpService {
    private final PatrolTaskFtpMapper patrolTaskFtpMapper;

    public PatrolTaskFtpServiceImpl(PatrolTaskFtpMapper patrolTaskFtpMapper) {
        this.patrolTaskFtpMapper = patrolTaskFtpMapper;
    }

    public PatrolTaskFtp selectPatrolTaskFtpByLineId(Long lineId) {
        return this.patrolTaskFtpMapper.selectPatrolTaskFtpByLineId(lineId);
    }

    public List<PatrolTaskFtp> selectPatrolTaskFtpList(PatrolTaskFtp patrolTaskFtp) {
        return this.patrolTaskFtpMapper.selectPatrolTaskFtpList(patrolTaskFtp);
    }

    public int insertPatrolTaskFtp(PatrolTaskFtp patrolTaskFtp) {
        return this.patrolTaskFtpMapper.insertPatrolTaskFtp(patrolTaskFtp);
    }

    public int updatePatrolTaskFtp(PatrolTaskFtp patrolTaskFtp) {
        return this.patrolTaskFtpMapper.updatePatrolTaskFtp(patrolTaskFtp);
    }

    public int deletePatrolTaskFtpByLineIds(Long[] lineIds) {
        return this.patrolTaskFtpMapper.deletePatrolTaskFtpByLineIds(lineIds);
    }

    public int deletePatrolTaskFtpByLineId(Long lineId) {
        return this.patrolTaskFtpMapper.deletePatrolTaskFtpByLineId(lineId);
    }
}
